search cancel

upgrade of WCC failed.

book

Article ID: 254702

calendar_today

Updated On:

Products

CA Workload Automation AE

Issue/Introduction

Team,

We are using below versions and upgrading to R12.1.

We have Autosys R11.3.6 SP8 installed.
EEM version Release: 12.6.0.5.
CA Workload Automation WCC 11.4 SP7.

===

Faced errors.

Later 2nd attempt, it says the installation was successful. 

Need to verify if both EEM and WCC were successfully upgraded or not.

Below is the log

2022-11-18 07:16:26,880 [main] ERROR com.ca.wcc.db.DBChangesForUpgrade(230) - There was a problem with database while running the upgrade: ORA-00406: COMPATIBLE parameter needs to be 12.0.0.0.0 or greater
ORA-00722: Feature "SQL identity columns"
java.sql.SQLException: ORA-00406: COMPATIBLE parameter needs to be 12.0.0.0.0 or greater
ORA-00722: Feature "SQL identity columns"

 

aused by: Error : 406, Position : 0, Sql = CREATE TABLE CFG_COLLECTOR_NODES (NODE_ID NUMBER(10) GENERATED BY DEFAULT ON NULL AS IDENTITY (START with 1 INCREMENT by 1), COLLECTOR_NAME NVARCHAR2(255) NOT NULL, CLUSTERPORT NUMBER(10) NOT NULL, HEARTBEAT_TIME TIMESTAMP NULL, HOST NVARCHAR2(255) NOT NULL, INSTALLEDPATCHES NVARCHAR2(512) NULL, STATE NVARCHAR2(32) NULL, VERSION NVARCHAR2(255) NULL, PRIMARY KEY (NODE_ID)) tablespace ATO_DATA, OriginalSql = CREATE TABLE CFG_COLLECTOR_NODES (NODE_ID NUMBER(10) GENERATED BY DEFAULT ON NULL AS IDENTITY (START with 1 INCREMENT by 1), COLLECTOR_NAME NVARCHAR2(255) NOT NULL, CLUSTERPORT NUMBER(10) NOT NULL, HEARTBEAT_TIME TIMESTAMP NULL, HOST NVARCHAR2(255) NOT NULL, INSTALLEDPATCHES NVARCHAR2(512) NULL, STATE NVARCHAR2(32) NULL, VERSION NVARCHAR2(255) NULL, PRIMARY KEY (NODE_ID)) tablespace ATO_DATA, Error Msg = ORA-00406: COMPATIBLE parameter needs to be 12.0.0.0.0 or greater
ORA-00722: Feature "SQL identity columns"

Environment

Autosys 12.1
WCC

Cause

The Clients Oracle 19c database had the compatibility mode set to Oracle 11

Resolution

So overall high level - 

1) Restore your WCC database to 11.4.x
2) DBA corrected the COMPATIBLE parameter on you oracle 19C database so that it is 12 or higher
3) restore EEM and WCC installation
4) make sure you can log into EEM and WCC
5) run the upgrade again following the below KB article
https://knowledge.broadcom.com/external/article?articleId=218331
6) Run the upgrade installer.
( if you run into the SDK error run the below command:)
 rpm -ivhf ca-waae-sdk-11.3.6-1643.i386.rpm --justdb --nodeps